aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 13:34:30 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-24 13:34:30 +0000
commit84b0977d2ce9afd6323b224578984cd448f750a3 (patch)
tree36ac84bfa7f47374e2941c08ebf1814be9052a19
parentcb84a32c1f8e03464899dfe6587d8f66c2b56cd8 (diff)
downloadaports-84b0977d2ce9afd6323b224578984cd448f750a3.tar.gz
aports-84b0977d2ce9afd6323b224578984cd448f750a3.tar.bz2
aports-84b0977d2ce9afd6323b224578984cd448f750a3.tar.xz
community/multitail: moved from testing
-rw-r--r--community/multitail/APKBUILD (renamed from testing/multitail/APKBUILD)23
-rw-r--r--community/multitail/fix-ncursesw-include.patch (renamed from testing/multitail/fix-ncursesw-include.patch)0
2 files changed, 7 insertions, 16 deletions
diff --git a/testing/multitail/APKBUILD b/community/multitail/APKBUILD
index aefae27c54..b82f962ebb 100644
--- a/testing/multitail/APKBUILD
+++ b/community/multitail/APKBUILD
@@ -1,11 +1,11 @@
# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
-# Contributor: Francesco Colista <francesco.colista@gmail.com>
-# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
pkgname=multitail
pkgver=6.4.2
-pkgrel=0
+pkgrel=1
pkgdesc="MultiTail lets you view one or multiple files like the original tail program"
-arch="x86 x86_64"
+arch="all"
url="http://www.vanheusden.com/multitail"
license="GPL2"
depends_dev=""
@@ -16,23 +16,14 @@ subpackages="$pkgname-doc"
source="http://www.vanheusden.com/multitail/$pkgname-$pkgver.tgz
fix-ncursesw-include.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- make -C "$_builddir" || return 1
+ make -C "$builddir" || return 1
}
package() {
- cd $_builddir
+ cd $builddir
make DESTDIR="$pkgdir" install || return 1
mv "$pkgdir"/usr/share/doc/$pkgname-$pkgver \
diff --git a/testing/multitail/fix-ncursesw-include.patch b/community/multitail/fix-ncursesw-include.patch
index 33c1051804..33c1051804 100644
--- a/testing/multitail/fix-ncursesw-include.patch
+++ b/community/multitail/fix-ncursesw-include.patch